Repository 32bit  Forum
Repository 64bit  Wiki

Evolution in GSlacky 2.24.1 e server MS exchange

Questo forum raccoglie tutte le discussioni sul progetto Gnome Slacky (Gnome per Slackware).

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Gslacky usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Citare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute.
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Evolution in GSlacky 2.24.1 e server MS exchange

Messaggioda buteo » ven nov 07, 2008 14:20

Dopo i problemi delle precedenti versioni, che mi avevano costretto a usare IMAP, installato Gslacky 2.24.1 ho riprovato configurare un account exchange-owa.
Usando gli stessi parametri con cui accedevo con la 2.22.3 (crash a parte...) la nuova versione non funziona. Lanciando in modalità debug vedo un output che mi fa pensare a un errore nella costruzione degli URL, per la ripetizione della mailboxname e il doppio slash.

> GET /exchange/mailboxname//mailboxname/ HTTP/1.1
> Soup-Debug-Timestamp: 1225971990
> Soup-Debug: SoupSessionSync 1 (0x808f598), SoupMessage 1 (0x81ecc10), SoupSocket 1 (0x81c9990), restarted
> Host: servername
> Accept-Language: en-US, en
> User-Agent: Evolution/2.24.1
> Authorization: Basic [username:***********]

< HTTP/1.1 404 Resource Not Found
< Soup-Debug-Timestamp: 1225971990
< Soup-Debug: SoupMessage 1 (0x81ecc10)

Che ne pensate?
buteo
Linux 1.0
Linux 1.0
 
Messaggi: 48
Iscritto il: mar apr 05, 2005 23:00
Slackware: 9.1-12.1
Kernel: 2.6.24.5

Re: Evolution in GSlacky 2.24.1 e server MS exchange

Messaggioda gohanz » ven nov 07, 2008 20:02

Non so proprio che dirti. Però proprio oggi è uscita una versione bugfix di Evolution 2.24.1. Bisognerebbe provare a ricompilare. La nuova versione. La sequenza di compilazione è dall'alto verso il basso . Gli SlackBuild sono all'interno dell'iso in /source/desktop.

http://download.gnome.org/sources/evolu ... .1.tar.bz2

http://download.gnome.org/sources/evolu ... .1.tar.bz2

http://download.gnome.org/sources/evolu ... .1.tar.bz2
Avatar utente
gohanz
Staff
Staff
 
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Re: Evolution in GSlacky 2.24.1 e server MS exchange [solved]

Messaggioda buteo » ven nov 14, 2008 10:10

OK, con la nuova versione sembrano finalmente risolti i problemi più evidenti.
Ho dovuto, però creare i link simbolici
Codice: Seleziona tutto
/usr/lib/libcamel-1.2.so.13 -> /usr/lib/libcamel-1.2.so
/usr/lib/libcamel-provider-1.2.so.13 -> /usr/lib/libcamel-provider-1.2.so

perché evolution si ostinava a voler caricare la versione .13 mentre nel sistema è installata la .14 (credo proprio dall'ultima versione di evolution)
Inoltre -lo dico per chi voglia configurare evolution per la posta aziendale con Exchange- la configurazione dell'account è una delle cose che a me ha causato vari grattacapi... Io ho risolto nel modo seguente, con Exchange server 2003:
Username: DOMINIO\nomeutente (con il dominio in maiuscolo)
OWA URL: https://FQDN_del_server/exchange (inserire http se non si usa SSL)
Mailbox: NOME.COGNOME (il nome della mailbox potrebbe essere diverso in una diversa installazione di MS exchange)

Io ho creato i pacchetti con uno slackbuild ottimizzato per la mia macchina. Se lo ritenete utile posso generare nuovi pacchetti con gli Slackbuild standard di GSlacky e fare l'upload (se mi dite come...) a beneficio di tutti.

Ciao e Grazie.
buteo
Linux 1.0
Linux 1.0
 
Messaggi: 48
Iscritto il: mar apr 05, 2005 23:00
Slackware: 9.1-12.1
Kernel: 2.6.24.5

Re: Evolution in GSlacky 2.24.1 e server MS exchange

Messaggioda ZeroUno » ven nov 14, 2008 15:19

Io usavo evolution qualche tempo fa (diversi mesi fa). Poi non mi è servito più.
Nel frattempo però hanno fatto l'upgrade della webmail e mi chiedevo se evolution la supporta.
Non so che versione è, ma mi si presenta così:

Con internet explorer
Immagine
ImmagineImmagine


Con firefox (sotto windows)
ImmagineImmagine
ImmagineImmagine


Visto che dovrò riutilizzare evolution a breve, chiedo... mi funzionerà posta, rubrica e appuntamenti?

Ciao
01
Packages finder: slakfinder.org | Slackpkg+, per aggiungere repository a slackpkg
Codice: Seleziona tutto
1011010 1100101 1110010 1101111 - 0100000 - 1010101 1101110 1101111
Avatar utente
ZeroUno
Staff
Staff
 
Messaggi: 4420
Iscritto il: ven giu 02, 2006 13:52
Località: Roma / Castelli
Nome Cognome: Matteo Rossini
Slackware: current
Kernel: slack-current
Desktop: ktown-latest
Distribuzione: 01000000-current

Re: Evolution in GSlacky 2.24.1 e server MS exchange [solved]

Messaggioda gohanz » sab nov 15, 2008 20:16

buteo ha scritto:OK, con la nuova versione sembrano finalmente risolti i problemi più evidenti.
Ho dovuto, però creare i link simbolici
Codice: Seleziona tutto
/usr/lib/libcamel-1.2.so.13 -> /usr/lib/libcamel-1.2.so
/usr/lib/libcamel-provider-1.2.so.13 -> /usr/lib/libcamel-provider-1.2.so

perché evolution si ostinava a voler caricare la versione .13 mentre nel sistema è installata la .14 (credo proprio dall'ultima versione di evolution)
Inoltre -lo dico per chi voglia configurare evolution per la posta aziendale con Exchange- la configurazione dell'account è una delle cose che a me ha causato vari grattacapi... Io ho risolto nel modo seguente, con Exchange server 2003:
Username: DOMINIO\nomeutente (con il dominio in maiuscolo)
OWA URL: https://FQDN_del_server/exchange (inserire http se non si usa SSL)
Mailbox: NOME.COGNOME (il nome della mailbox potrebbe essere diverso in una diversa installazione di MS exchange)

Io ho creato i pacchetti con uno slackbuild ottimizzato per la mia macchina. Se lo ritenete utile posso generare nuovi pacchetti con gli Slackbuild standard di GSlacky e fare l'upload (se mi dite come...) a beneficio di tutti.

Ciao e Grazie.



Buteo per me va bene se crei i pacchetti aggiornati. Però non mi piace il fatto che tu abbia dovuto creare quei link simbolici per libcamel. Se è così non credo che si possano mettere a disposizione. In ogni caso puoi chedere a Loris di far parte del gruppo dei pacchettizzatori.
Avatar utente
gohanz
Staff
Staff
 
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Re: Evolution in GSlacky 2.24.1 e server MS exchange

Messaggioda buteo » mer nov 19, 2008 8:24

Per Zerouno:
La versione 2007 di MS Exchange server non supporta più OWA (WebDAV) che è utilizzato dall'attuale connettore exchange di Evolution. Puoi utilizzare solo il protocollo nativo MAPI, per il quale è in sviluppo un apposito connettore che mi pare -non vorrei sbagliare- sia pianificato per Gnome 2.26. L'alternativa, già disponibile, è il connettore di Brutus http://www.42tools.com/, che non ho mai usato. Se lo provi facci sapere se funziona come configurarlo.

Per gohanz:
Nemmeno a me è piaciuto creare manualmente quei link simbolici. Ho postato la mia soluzione per confrontare con gli altri la configurazione e verificare se era solo un mio problema. Se libcamel è installato da evolution, allora c'è un bug in Evolution o in uno dei suoi plugin che richiama la libreria nella versione precedente
buteo
Linux 1.0
Linux 1.0
 
Messaggi: 48
Iscritto il: mar apr 05, 2005 23:00
Slackware: 9.1-12.1
Kernel: 2.6.24.5

Re: Evolution in GSlacky 2.24.1 e server MS exchange

Messaggioda gohanz » gio nov 20, 2008 19:27

buteo ha scritto:Per gohanz:
Nemmeno a me è piaciuto creare manualmente quei link simbolici. Ho postato la mia soluzione per confrontare con gli altri la configurazione e verificare se era solo un mio problema. Se libcamel è installato da evolution, allora c'è un bug in Evolution o in uno dei suoi plugin che richiama la libreria nella versione precedente


Anche Evolution 2.24.1, presente su GSlacky-2.24.1, da lo stesso errore. Sembra derivi dal plugin "mail-notification". Comunque non è critico. Libcamel è installata dal pacchetto evolution-data-server.

Se vuoi mettere a disposizioni i pacchetti per me non c'è problema. Però devi prima chiedere l'autorizzazione a Loris, visto che non mi sembra che tu faccia parte del gruppo "pacchettizzatori"
Avatar utente
gohanz
Staff
Staff
 
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Re: Evolution in GSlacky 2.24.1 e server MS exchange

Messaggioda ZeroUno » mar nov 25, 2008 11:29

buteo ha scritto:Per Zerouno:
La versione 2007 di MS Exchange server non supporta più OWA (WebDAV) che è utilizzato dall'attuale connettore exchange di Evolution. Puoi utilizzare solo il protocollo nativo MAPI, per il quale è in sviluppo un apposito connettore che mi pare -non vorrei sbagliare- sia pianificato per Gnome 2.26. L'alternativa, già disponibile, è il connettore di Brutus http://www.42tools.com/, che non ho mai usato. Se lo provi facci sapere se funziona come configurarlo.


Grazie.. lo vedrò sicuramente,
comunque se ne parlerà forse a Gennaio (o Febbraio), ormai.

Ciao,
01
Packages finder: slakfinder.org | Slackpkg+, per aggiungere repository a slackpkg
Codice: Seleziona tutto
1011010 1100101 1110010 1101111 - 0100000 - 1010101 1101110 1101111
Avatar utente
ZeroUno
Staff
Staff
 
Messaggi: 4420
Iscritto il: ven giu 02, 2006 13:52
Località: Roma / Castelli
Nome Cognome: Matteo Rossini
Slackware: current
Kernel: slack-current
Desktop: ktown-latest
Distribuzione: 01000000-current


Torna a Gnome Slacky

Chi c’è in linea

Visitano il forum: Nessuno e 2 ospiti